Ältere Version von Wine installieren?

German Forum

Moderator: karlchen

Post Reply
gspg
Level 1
Level 1
Posts: 3
Joined: Thu Jul 18, 2019 5:21 am

Ältere Version von Wine installieren?

Post by gspg » Fri Jul 19, 2019 9:49 am

Hallo,

mein erstes Posting in dieses Forum. Bislang bin ich ganz gut so klar gekommen, aber zu meinem aktuellen Problem habe ich online keine wirkliche Hilfe gefunden:

Mit dem Kauf eines neuen Rechners und der Installatiion von Mint 19.1 habe ich auch wine 4.0.1 installiert. Leider läuft ein bestimmtes Programm das ich sehr häufig benutze unter dieser Version nicht mehr korrekt. Kann mir jemand sagen, wie man eine ältere Version von wine installiert? Mit Playonlinux habe ich es versucht, aber das installiert eine bestimmte DLL die dieses Programm benötigt nicht, und wenn man es manuell jenseits der playonlinux eigenen Installationsroutine für Erweiterungen versucht stürzt das Programm ab. Gibt es eine Möglichkeit ganz normal über die Komandozeile, statt wine 4.0.1 besipielsweise 3.0.1 oder eine andere zu installieren?

Über die Abfrage:

Code: Select all

~$ apt-cache policy winehq-stable
bekomme ich verschiedene Versionen angezeigt. Aber wenn ich dann versuche, eine davon zu installieren gibt es nur die typische Fehlermeldung:

Code: Select all

 sudo apt install winehq-stable=3.0.1~bionic
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
winehq-stable : Hängt ab von: wine-stable (= 3.0.1~bionic)
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

User avatar
secureIT
Level 3
Level 3
Posts: 150
Joined: Wed Dec 05, 2018 1:26 pm

Re: Ältere Version von Wine installieren?

Post by secureIT » Fri Jul 19, 2019 12:58 pm

Hi,
Du könntest für bionic die 3.10.0 installieren

gibt es hier als .deb 64 bit :

https://dl.winehq.org/wine-builds/ubunt ... ary-amd64/

oder 32 bit :

https://dl.winehq.org/wine-builds/ubunt ... nary-i386/

pkgs sagt mir : alle Abhängigkeiten sind erfüllt

Vorher solltest Du natürlich via synaptic die installierte Version samt config löschen.

edit:

Auch die 3.01 sollte lt. pkgs funktionieren :

http://archive.ubuntu.com/ubuntu/pool/u ... u1_all.deb

Aber das ist nur ein Hinweis .... also : Theorie ...... ich werde es nicht versuchen, weil wine bei mir nicht auf die Platte kommt.
In der Ruhe liegt die Kraft ! .......... The strenght is to be found in serenity !

gspg
Level 1
Level 1
Posts: 3
Joined: Thu Jul 18, 2019 5:21 am

Re: Ältere Version von Wine installieren?

Post by gspg » Sat Jul 20, 2019 6:13 am

secureIT wrote:
Fri Jul 19, 2019 12:58 pm
Aber das ist nur ein Hinweis .... also : Theorie ...... ich werde es nicht versuchen, weil wine bei mir nicht auf die Platte kommt.
Alles klar. Vielen Dank für Deine Hilfe...

Post Reply

Return to “Deutsch (German)”